import { commonsTypeHasPropertyString, commonsTypeHasPropertyStringOrUndefined } from 'tscommons-es-core';
import { commonsDateDateToYmdHis, commonsDateYmdHisToDate } from 'tscommons-es-core';
export function isTUomLibraryPollsResponse(test) {
    if (!commonsTypeHasPropertyString(test, 'timestamp'))
        return false;
    if (!commonsTypeHasPropertyStringOrUndefined(test, 'other'))
        return false;
    return true;
}
export function encodeIUomLibraryPollsResponse(response) {
    const base = {
        uid: response.uid,
        timestamp: commonsDateDateToYmdHis(response.timestamp)
    };
    if (response.other) {
        base.other = response.other;
    }
    return base;
}
export function decodeIUomLibraryPollsResponse(encoded) {
    const response = {
        // tslint:disable:object-literal-sort-keys
        uid: encoded.uid,
        timestamp: commonsDateYmdHisToDate(encoded.timestamp)
        // tslint:enable:object-literal-sort-keys
    };
    if (commonsTypeHasPropertyString(encoded, 'other'))
        response.other = encoded.other;
    return response;
}
//# sourceMappingURL=tuom-library-polls-response.js.map